/* test cmap.c */

#include "mywindow.h"
#include "real.h"
#include "cmap.h"

/*----------------------------------------------------------------------------*
 *      errorexit()
 *        - display function where it was called and a message and exit
 *----------------------------------------------------------------------------*/
static void    errorexit(char *func, char *msg)
{
  fprintf(stderr,"%s(): %s\n",func,msg);
  exit(1);
}


main()
{
  MyWindow 	mw;
  Pixel		black_pixel, white_pixel;
  XSizeHints    myhint;
  Visual          *visual;
  GC              mygc;
  GC              fontgc;
  GC              colorgc;
  XWMHints        mywmhint;

  if (!(mw->display = XOpenDisplay(""))
	errorexit("main","X Error (Cannot open display) : exiting");	

  mw->screen = DefaultScreen(mw->display);

  myforeground = black_pixel = BlackPixel(mydisplay,myscreen);
  mybackground = white_pixel = WhitePixel(mydisplay,myscreen);

  /* Default program-specified window position and size */
  myhint.x = 0;
  myhint.y = 0;

  /* myhint.width = w; myhint.height = h; */
  myhint.flags = PPosition | PSize;
  mywmhint.flags = InputHint;
  mywmhint.input = True;

  mw->window = XCreateSimpleWindow(mydisplay,
        DefaultRootWindow(mydisplay),
        myhint.x, myhint.y, myhint.width, myhint.height,
        8, myforeground, mybackground);

  XSetStandardProperties(mydisplay, mywindow,
        "Net Display","Net Display",
        None, argv, argc,&myhint);
  XSetWMHints(mydisplay, mywindow, &mywmhint);



   
  	

