#!/usr/bin/perl

$usage = <<EOF;
usage: pgmtodat.pl <pgmfile> 
	output: stdout
EOF

if ($#ARGV!=0) {
	print $usage;
	exit;
}

open(FP,"$ARGV[0]") || die "cannot open file";

# read header
$magic = <FP>;

# skip comments lines
while(/^#/) {
	$_ = <FP>;
	print "$_";
	next;
}

# get dimension
chop;
($x,$y) = split(/[\s]+/,$_);
$dat = <FP>;
close(FP);

print "$x x $y\n";
